﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using HiLabel;

namespace CustomLabelProject
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //内部で保有するデータを削除
            this.customLabel1.Clear();
            //一行ずつ描画する
            this.customLabel1.DrawChar = false;
            //行番号を表示する
            this.customLabel1.ShowLineNumber = true;
            //行番号のフォーマットを指定する
            this.customLabel1.LineNumberFormat = "0000";
            //行番号の背景
            this.customLabel1.LineNumberBackColor = Color.LightGray;
            //行番号の文字色
            this.customLabel1.LineNumberForeColor = Color.Black;
            //スクロールバーを表示するようにする
            this.customLabel1.ScrollBars = ScrollBars.Both;
            //CustomLabelのモードをLabelタイプに設定
            this.customLabel1.TextMode = TextMode.LabelMode;

            OpenFileDialog ofd = new OpenFileDialog();
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                using (StreamReader reader = new StreamReader(ofd.FileName))
                {
                    //テキストデータを読み込ませる
                    this.customLabel1.GetTextFile(reader);
                    reader.Close();
                }


                for (int i = 0; i < this.customLabel1.Count; i++)
                {
                    if (i % 3 == 1)
                    {
                        if (this.customLabel1[i].Count > 0)
                        {
                            //今は一行ずつ表示なので、その行の一文字目の色で、その行の描画する色が決まる
                            this.customLabel1[i][0].Color = Color.Red;
                        }
                    }
                    else if (i % 3 == 2)
                    {
                        if (this.customLabel1[i].Count > 0)
                        {
                            //今は一行ずつ表示なので、その行の一文字目の色で、その行の描画する色が決まる
                            this.customLabel1[i][0].Color = Color.Blue;
                        }

                    }
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //内部で保有しているデータを削除
            this.customLabel1.Clear();
            //一文字ずつ描画する
            this.customLabel1.DrawChar = true;
            //行番号を表示する
            this.customLabel1.ShowLineNumber = true;
            //行番号のフォーマットを指定する
            this.customLabel1.LineNumberFormat = "00";
            //行番号の背景
            this.customLabel1.LineNumberBackColor = Color.LightGray;
            //行番号の文字色
            this.customLabel1.LineNumberForeColor = Color.Black;
            //文字間隔を指定する
            this.customLabel1.CharGap = -2.0F;
            //スクロールバーを表示する
            this.customLabel1.ScrollBars = ScrollBars.Vertical;
            //ワードラップを設定
            this.customLabel1.WordWrap = true;
            //CustomLabelのモードをLabelタイプに設定
            this.customLabel1.TextMode = TextMode.LabelMode;

            OpenFileDialog ofd = new OpenFileDialog();
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                using (StreamReader reader = new StreamReader(ofd.FileName))
                {
                    //ファイルのデータを読み込む
                    this.customLabel1.GetTextFile(reader);
                    reader.Close();
                }

                for (int j = 0; j < this.customLabel1.Count; j++)
                {
                    for (int i = 0; i < this.customLabel1[j].Count; i++)
                    {
                        if (i % 3 == 1)
                        {
                            //文字色を一文字ずつ指定する
                            this.customLabel1[j][i].Color = Color.Red;
                        }
                        else if (i % 3 == 2)
                        {
                            //文字色を一文字ずつ指定する
                            this.customLabel1[j][i].Color = Color.Blue;

                        }
                    }
                }
            }
        }

        private void customLabel1_KeyDown(object sender, KeyEventArgs e)
        {
            //キーを押すと現在選択されているテキストが表示される。
            MessageBox.Show(this.customLabel1.SelectedItem);

        }

        private void Form2_Load(object sender, EventArgs e)
        {

        }
    }
}
